- Main Page
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

# mschmd_file Struct Reference

A structure which represents a file stored in a CHM helpfile. More...

`#include <mspack.h>`

## Data Fields
mschmd_file * | next
| A pointer to the next file in the list, or NULL if this is the final file.
mschmd_section * | section
| A pointer to the section that this file is located in.
off_t | offset
| The offset within the section data that this file is located at.
off_t | length
| The length of this file, in bytes.
char * | filename
| The filename of this file -- a null terminated string in UTF-8.

## Detailed Description

A structure which represents a file stored in a CHM helpfile.

All fields are READ ONLY.

## Field Documentation

char* mschmd_file::filename

| The filename of this file -- a null terminated string in UTF-8.

off_t mschmd_file::length

| The length of this file, in bytes.

struct mschmd_file* mschmd_file::next

| A pointer to the next file in the list, or NULL if this is the final file.

off_t mschmd_file::offset

| The offset within the section data that this file is located at.

struct mschmd_section* mschmd_file::section

| A pointer to the section that this file is located in. Indirectly, it also points to the CHM helpfile the file is located in.

The documentation for this struct was generated from the following file:

- /home/kyz/devel/libmspack/libmspack/mspack/mspack.h